Attribute VB_Name = "modVisualStyle"
Option Explicit

Private Declare Function InitCommonControls Lib "Comctl32.dll" () As Long

Public Sub VisualStyle()
  InitCommonControls
  Dim manifest As String, FileName As String, FileNum As Long
  FileName = App.Path & "\" & App.EXEName & ".exe.manifest"
  If Len(Dir(FileName, vbSystem + vbHidden + vbReadOnly + vbArchive)) > 0 Then Exit Sub
  manifest = "<?xml version=""1.0"" encoding=""UTF-8"" standalone=""yes""?> " & vbCrLf & _
             "<assembly " & vbCrLf & _
             "  xmlns=""urn:schemas-microsoft-com:asm.v1"" " & vbCrLf & _
             "  manifestVersion=""1.0"">" & vbCrLf & _
             "  <assemblyIdentity " & vbCrLf & _
             "    processorArchitecture=""x86"" " & vbCrLf & _
             "    version=""" & App.Major & "." & App.Minor & "." & App.Revision & ".0""" & vbCrLf & _
             "    type=""win32""" & vbCrLf & _
             "    name=""" & App.EXEName & ".exe""/>" & vbCrLf & _
             "  <description>" & App.FileDescription & "</description>" & vbCrLf & _
             "  <dependency>" & vbCrLf & _
             "    <dependentAssembly>" & vbCrLf & _
             "      <assemblyIdentity" & vbCrLf & _
             "        type=""win32""" & vbCrLf & _
             "        name=""Microsoft.Windows.Common-Controls""" & vbCrLf & _
             "        version=""6.0.0.0""" & vbCrLf & _
             "        publicKeyToken=""6595b64144ccf1df""" & vbCrLf & _
             "        processorArchitecture=""x86""/>" & vbCrLf & _
             "    </dependentAssembly>" & vbCrLf & _
             "  </dependency>" & vbCrLf & _
             "</assembly>" & vbCrLf
  FileNum = FreeFile
  Open FileName For Binary As #(FileNum)
  Put #(FileNum), , manifest
  Close #(FileNum)
  SetAttr FileName, vbHidden + vbSystem
  Shell App.Path & "\" & App.EXEName & ".exe " & Command$, vbNormalFocus
  End
End Sub
